<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 * overview options view for template builder
 *
 * @package     mod_groupformation
 * @author      Eduard Gallwas, Johannes Konert, René Röpke, Neora Wester, Ahmed Zukic
 * @copyright   2015 MoodlePeers
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
?>
<div class="gf_pad_header_small">
    <?php echo get_string('options', 'groupformation');?>
</div>
<div class="gf_pad_content" style="">
    <div class="grid">
        <div class="col_m_100">
            <input type="hidden" name="id" value="<?php echo $this->_['cmid']; ?>"/>
            <p>
                <?php echo $this->_['buttons_infos'];  ?>
            </p>
            <?php foreach ($this->_['buttons'] as $button) { ?>
                <button type="<?php echo $button['type']; ?>"
                        name="<?php echo $button['name']; ?>"
                        value="<?php echo $button['value']; ?>"
                        class="gf_button gf_button_pill gf_button_small" <?php echo $button['state']; ?>>
                    <?php echo $button['text']; ?>
                </button>
            <?php } ?>
        </div>
    </div>
</div>